%define major        7
%define libname      %mklibname %{name} %{major}
%define libnamedev   %mklibname %{name} -d
%define libnamesdev  %mklibname %{name} -d -s

Name:           qhull
Epoch:          0
Version:        2015.2
Release:        %mkrel 1
Summary:        Compute convex hulls
License:        GPL
Group:          System/Libraries
URL:            http://www.qhull.org/
Source0:        http://www.qhull.org/download/%{name}-2015-src-7.2.0.tgz
Patch0:         %{name}-2009.1-print-format.patch
Patch1:         %{name}-2012.1-print-format.patch
BuildRequires:  cmake

%description
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site Delaunay
triangulations, and furthest-site Voronoi diagrams. It runs in 2-d, 3-d,
4-d, and higher dimensions. It implements the Quickhull algorithm for
computing the convex hull. Qhull handles roundoff errors from floating
point arithmetic. It can approximate a convex hull.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libnamedev}
Summary:        Header files and libraries for development with %{name}
Group:          Development/C
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{mklibname qhull 5 -d} < 0:2009.1-3

%description -n %{libnamedev}
Header files and libraries for development with %{name}.

%package -n %{libnamesdev}
Summary:        Static library for development with %{name}
Group:          Development/C
Requires:       %{libnamedev} = %{epoch}:%{version}-%{release}
Provides:       %{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{mklibname qhull 5 -d -s} < 0:2009.1-3

%description -n %{libnamesdev}
Header files and static library for development with %{name}.

%prep
%setup -q

%build
%{cmake} #-DCMAKE_SKIP_RPATH:STRING="ON"
%make

%install
%make_install -C build

%files
%doc Announce.txt COPYING.txt README.txt REGISTER.txt html/*
%exclude %{_docdir}/%{name}/*.man
%{_bindir}/qconvex
%{_bindir}/qdelaunay
%{_bindir}/qhalf
%{_bindir}/qhull
%{_bindir}/qvoronoi
%{_bindir}/rbox
%{_mandir}/man1/qhull.1*
%{_mandir}/man1/rbox.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc html
%{_libdir}/*.so
%{_includedir}/*

%files -n %{libnamesdev}
%{_libdir}/*.a


%changelog
* Thu Mar 10 2016 shlomif <shlomif> 0:2015.2-1.mga6
+ Revision: 988793
- New version 2015.2

* Tue Feb 16 2016 umeabot <umeabot> 0:2012.1-7.mga6
+ Revision: 962481
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 daviddavid <daviddavid> 0:2012.1-6.mga6
+ Revision: 895946
- update doc file list to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0:2012.1-5.mga5
+ Revision: 747284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2012.1-4.mga5
+ Revision: 688483
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:2012.1-3.mga4
+ Revision: 517840
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:2012.1-2.mga3
+ Revision: 379831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 grenoya <grenoya> 0:2012.1-1.mga3
+ Revision: 296658
- fix files (again)
- fix files
- new version 2012.1

* Mon Jun 13 2011 nanardon <nanardon> 0:2009.1-4.mga2
+ Revision: 105663
- fix wrong and missing obsoletes introduced by last cleanup

* Mon Jun 13 2011 ze <ze> 0:2009.1-3.mga2
+ Revision: 105598
- user native rpm macros
- remove %%major from devel name accordlingly with package policy
- clean post/postun scriptlets since its handled by default

* Mon Apr 18 2011 grenoya <grenoya> 0:2009.1-2.mga1
+ Revision: 87695
- fix major

* Sun Apr 17 2011 grenoya <grenoya> 0:2009.1-1.mga1
+ Revision: 86979
- correct spec
- update sources to 2009.1
- update patch

* Tue Apr 12 2011 grenoya <grenoya> 0:2003.1-5.mga1
+ Revision: 83727
- fix compilation
- imported package qhull

